DCMTK: DcmSCPPool< SCP, SCPPool, BaseSCPWorker >::SCPWorker Struct Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DcmSCPPool< SCP, SCPPool, BaseSCPWorker >::SCPWorker Struct Reference

Helper class to use any class as an SCPWorker as long as it is a model of the SCP Thread Concept. More...

Inheritance diagram for DcmSCPPool< SCP, SCPPool, BaseSCPWorker >::SCPWorker:

## Public Member Functions
| SCPWorker (DcmSCPPool &pool)
| Construct a SCPWorker for being used by the given DcmSCPPool.
virtual OFCondition | setSharedConfig (const DcmSharedSCPConfig &config)
| Set the shared configuration for this worker.
virtual OFBool | busy ()
| Determine if the Worker is currently handling any request.
virtual OFCondition | workerListen (T_ASC_Association *const assoc)
| Perform SCP's duties on an already accepted (TCP/IP) connection.

## Detailed Description

template<typename SCP = DcmThreadSCP, typename SCPPool = DcmBaseSCPPool, typename BaseSCPWorker = OFTypename SCPPool::DcmBaseSCPWorker>
struct DcmSCPPool< SCP, SCPPool, BaseSCPWorker >::SCPWorker

Helper class to use any class as an SCPWorker as long as it is a model of the SCP Thread Concept.

## Constructor & Destructor Documentation

## ◆ SCPWorker()

template<typename SCP = DcmThreadSCP, typename SCPPool = DcmBaseSCPPool, typename BaseSCPWorker = OFTypename SCPPool::DcmBaseSCPWorker>

DcmSCPPool< SCP, SCPPool, BaseSCPWorker >::SCPWorker::SCPWorker | ( | DcmSCPPool & | pool | ) |
| inline

Construct a SCPWorker for being used by the given DcmSCPPool.

Parameters

  pool | the DcmSCPPool object this Worker belongs to.

References DcmSCPPool< SCP, SCPPool, BaseSCPWorker >::DcmSCPPool().

## Member Function Documentation

## ◆ busy()

template<typename SCP = DcmThreadSCP, typename SCPPool = DcmBaseSCPPool, typename BaseSCPWorker = OFTypename SCPPool::DcmBaseSCPWorker>

virtual OFBool DcmSCPPool< SCP, SCPPool, BaseSCPWorker >::SCPWorker::busy | ( |  | ) |
| inlinevirtual

Determine if the Worker is currently handling any request.

Returns
  OFTrue if the underlying SCP implementation is currently handling a request, OFFalse otherwise.

## ◆ setSharedConfig()

template<typename SCP = DcmThreadSCP, typename SCPPool = DcmBaseSCPPool, typename BaseSCPWorker = OFTypename SCPPool::DcmBaseSCPWorker>

virtual OFCondition DcmSCPPool< SCP, SCPPool, BaseSCPWorker >::SCPWorker::setSharedConfig | ( | const DcmSharedSCPConfig & | config | ) |
| inlinevirtual

Set the shared configuration for this worker.

Parameters

  config | a DcmSharedSCPConfig object to be used by this worker.

Returns
  the result of the underlying SCP implementation.

## ◆ workerListen()

template<typename SCP = DcmThreadSCP, typename SCPPool = DcmBaseSCPPool, typename BaseSCPWorker = OFTypename SCPPool::DcmBaseSCPWorker>

virtual OFCondition DcmSCPPool< SCP, SCPPool, BaseSCPWorker >::SCPWorker::workerListen | ( | T_ASC_Association *const | assoc | ) |
| inlinevirtual

Perform SCP's duties on an already accepted (TCP/IP) connection.

Once done, destroy the association so the worker does not appear blocked for the next request in case of reuse.

Parameters

  assoc | The association to be run

Returns
  Returns EC_Normal if negotiation could take place and no serious network error has occurred or the given association is invalid. Error code otherwise.

The documentation for this struct was generated from the following file:

- dcmnet/include/dcmtk/dcmnet/scppool.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1